var Devtools, Immutable, React, Todolist, div;

React = require("react");

Immutable = require("immutable");

Todolist = React.createFactory(require("./todolist"));

Devtools = React.createFactory(require("../devtools"));

div = React.createFactory("div");

module.exports = React.createClass({
  displayName: "app-page",
  propTypes: {
    core: React.PropTypes.instanceOf(Immutable.Map).isRequired
  },
  getInitialState: function() {
    return {
      path: Immutable.List()
    };
  },
  onPathChange: function(path) {
    return this.setState({
      path: path
    });
  },
  render: function() {
    return div({
      className: "app-page"
    }, Todolist({
      store: this.props.core.get('store')
    }), Devtools({
      core: this.props.core,
      language: 'en',
      width: window.innerWidth,
      height: window.innerHeight,
      path: this.state.path,
      onPathChange: this.onPathChange
    }));
  }
});
