var recorder, schema, shortid;

shortid = require('shortid');

recorder = require('../recorder');

schema = require('../schema');

exports.add = function() {
  var task;
  task = schema.task.set('id', shortid.generate());
  return recorder.dispatch("todo/add", task);
};

exports.update = function(id, text) {
  return recorder.dispatch("todo/update", {
    id: id,
    text: text
  });
};

exports.toggle = function(id) {
  return recorder.dispatch("todo/toggle", id);
};

exports.remove = function(id) {
  return recorder.dispatch("todo/remove", id);
};
